Skip to Content
kosemdocs
ReferenceAPIGroups

Get group membership

Gets a group membership.

GET
/v1/organizations/{organization}/groups/{group}/memberships/{membership}

Gets a group membership.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$
group*string

The group's ID.

Match^grp_[0-7][0-9a-hjkmnp-tv-z]{25}$
membership*string

The member's ID: a user's, a service account's or a group's.

Match^(usr|grp|sa)_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
createTime*string

When the member joined the group.

Formatdate-time
member*string

The member: user:{user_id}, serviceAccount:{service_account_id} or group:{group_id}.

name*string

Resource name, organizations/{organization_id}/groups/{group_id}/memberships/{member_id}, where the member's ID is a user's, a service account's or a group's.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/groups/string/memberships/string'
Example Response
{
  "createTime": "2019-08-24T14:15:22Z",
  "member": "string",
  "name": "string"
}